Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mockito.internal.configuration
Class DefaultAnnotationEngine

    java.lang.Object
      org.mockito.internal.configuration.DefaultAnnotationEngine

All Implemented Interfaces:
  AnnotationEngine

    public class DefaultAnnotationEngine

extends java.lang.Object
implements AnnotationEngine

Initializes fields annotated with @`Mock` or @`Captor`.

The `process(Class, Object)` method implementation does not process super classes!

See Also:
  `MockitoAnnotations`

Constructor Summary
`DefaultAnnotationEngine()`

Method Summary
`java.lang.Object` | `createMockFor(java.lang.annotation.Annotation annotation, java.lang.reflect.Field field)`
`void` | `process(java.lang.Class<?> clazz, java.lang.Object testInstance)` Allows extending the interface to perform action on specific fields on the test class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultAnnotationEngine

    public DefaultAnnotationEngine()

Method Detail

### createMockFor

    public java.lang.Object createMockFor(java.lang.annotation.Annotation annotation,
                                          java.lang.reflect.Field field)

  Specified by:
    `createMockFor` in interface `AnnotationEngine`
  Parameters:
    `annotation` - Annotation
    `field` - Field details

### process

    public void process(java.lang.Class<?> clazz,
                        java.lang.Object testInstance)

  Description copied from interface: `AnnotationEngine`
  Allows extending the interface to perform action on specific fields on the test class.

  See the implementation of this method to figure out what is it for.

  Specified by:
    `process` in interface `AnnotationEngine`
  Parameters:
    `clazz` - Class where to extract field information, check implementation for details
    `testInstance` - Test instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD